Package org.eclipse.ui.commands

## Interface IHandler

All Known Implementing Classes:
  `AbstractHandler`, `ActionHandler`

    @Deprecated
    public interface IHandler

Deprecated.
Please use the "org.eclipse.core.commands" plug-in instead.
A handler is the pluggable piece of a command that handles execution. Each command can have zero or more handlers associated with it (in general), of which only one will be active at any given moment in time. When the command is asked to execute, it will simply pass that request on to its active handler, if any.

This interface is not intended to be extended by clients.

Since:
  3.0
See Also:
  `IHandler`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `addHandlerListener​(IHandlerListener handlerListener)` Deprecated.
`void` `dispose()` Deprecated.
`Object` `execute​(Map parameterValuesByName)` Deprecated.
`Map` `getAttributeValuesByName()` Deprecated.
`void` `removeHandlerListener​(IHandlerListener handlerListener)` Deprecated.

### Method Detail

#### addHandlerListener

    @Deprecated
    void addHandlerListener​(IHandlerListener handlerListener)

Deprecated.
Registers an instance of `IHandlerListener` to listen for changes to properties of this instance.

Parameters:
  `handlerListener` - the instance to register. Must not be `null`. If an attempt is made to register an instance which is already registered with this instance, no operation is performed.

#### dispose

    @Deprecated
    void dispose()

Deprecated.
Disposes of this handler. This method is run once when the object is no longer referenced. This can be used as an opportunity to unhook listeners from other objects.

#### execute

    @Deprecated
    Object execute​(Map parameterValuesByName)
            throws ExecutionException

Deprecated.
Executes with the map of parameter values by name.

Parameters:
  `parameterValuesByName` - the map of parameter values by name. Reserved for future use, must be `null`.
Returns:
  the result of the execution. Reserved for future use, must be `null`.
Throws:
  `ExecutionException` - if an exception occurred during execution.

#### getAttributeValuesByName

    @Deprecated
    Map getAttributeValuesByName()

Deprecated.
Returns the map of attribute values by name.

Notification is sent to all registered listeners if this property changes.

Returns:
  the map of attribute values by name. This map may be empty, but is guaranteed not to be `null`. If this map is not empty, its collection of keys is guaranteed to only contain instances of `String`.

#### removeHandlerListener

    @Deprecated
    void removeHandlerListener​(IHandlerListener handlerListener)

Deprecated.
Unregisters an instance of `IPropertyListener` listening for changes to properties of this instance.

Parameters:
  `handlerListener` - the instance to unregister. Must not be `null`. If an attempt is made to unregister an instance which is not already registered with this instance, no operation is performed.